package com.persagy.calendar.client.fallback;

import java.util.List;

import org.springframework.stereotype.Component;

import com.persagy.calendar.client.RwdObjectClient;
import com.persagy.calendar.client.model.BaseModel;
import com.persagy.calendar.client.model.BaseQueryModel;

import lombok.extern.slf4j.Slf4j;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月2日:	下午3:01:16
 */
@Slf4j
@Component
@SuppressWarnings("rawtypes") 
public class RwdObjectClientFallBack implements RwdObjectClient {

	@Override
	public String queryProjectObject(BaseModel baseModel, BaseQueryModel object) {
		log.error("数据中台物理世界，查询对象数据异常");
		return null;
	}

	@Override
	public String queryAllProjectObject(BaseModel baseModel, List<String> projectIds) {
		log.error("数据中台物理世界，查询对象数据异常");
		return null;
	}

}
